curl --request GET \
--url https://api.syntage.com/datasources/mx/company-verification/reports/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/company-verification/reports/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/company-verification/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"rpcEntity": {
"@id": "/datasources/mx/rpc/entidades/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RpcEntidade",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"fme": "N-2000000000",
"nombreRazonSocial": "FOO BAR, S.A. DE C.V."
},
"extraction": "/extractions/91106968-1abd-4d64-85c1-4e73d96fb997",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@context": "<unknown>",
"@id": "/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678",
"@type": "CompanyVerificationReport"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a company verification report
Retrieves one company verification report, including its verification details, metadata, and supporting file references.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Company Verification Report
Unique company verification report ID
"91ab5678-1234-5678-9abc-def012345678"
Entity associated with the company verification report
"/entities/91ab5678-1234-5678-9abc-def012345678"
RPC company profile used for the verification report
Show child attributes
Show child attributes
Extraction that produced the report
"/extractions/91106968-1abd-4d64-85c1-4e73d96fb997"
Files generated for the company verification report, including PDF and HTML reports when available
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Company Verification Report IRI reference
"/datasources/mx/company-verification/reports/91ab5678-1234-5678-9abc-def012345678"
Was this page helpful?